Add a voiceover
Speak a script with a voice and add it to the timeline, one clip per paragraph; with captions: true also word-timed captions from the script. Required API key scopes: `projects:read`, `projects:write`, `media:write`.
Authorization
apiKeyAuth Path Parameters
Resource identifier
Header Parameters
Exact current project version. Required for overwriting mutations unless the numeric body version is supplied for compatibility.
^"?[0-9]+"?$Request Body
application/json
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/v2/projects/string/voiceover" \ -H "If-Match: "1"" \ -H "Content-Type: application/json" \ -d '{ "text": "string" }'{ "success": true, "data": { "project": { "id": "project_01J", "name": "Launch film", "version": 5 }, "requestKey": "launch-vo-1", "affectedClipIds": [ "audio-3", "captions-1" ], "clips": 2, "duration": 14.2 }}V2 API
Explore and call the supported JsonCut API directly from the public OpenAPI contract.
Add captions from speech POST
Add a word-timed caption track from the speech of the project (source auto: music and effects left out) or of one clip, in timeline time. Required API key scopes: `projects:read`, `projects:write`, `media:read`.